org.apache.tinkerpop.gremlin.structure

## Class FeatureSupportTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.FeatureSupportTest

-     public class FeatureSupportTest
      extends Object

  Tests that do basic validation of proper Feature settings in Graph implementations.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FeatureSupportTest.EdgeFunctionalityTest` Feature checks that test `Edge` functionality to determine if a feature should be on when it is marked as not supported.
    `static class` | `FeatureSupportTest.ElementPropertyDataTypeFunctionalityTest` Feature checks that test `Element` `Property` functionality to determine if a feature should be on when it is marked as not supported.
    `static class` | `FeatureSupportTest.FeatureToStringTest`
    `static class` | `FeatureSupportTest.GraphFunctionalityTest` Feature checks that test `Graph` functionality to determine if a feature should be on when it is marked as not supported.
    `static class` | `FeatureSupportTest.GraphVariablesFunctionalityTest` Feature checks that tests if `Graph.Variables` functionality to determine if a feature should be on when it is marked as not supported.
    `static class` | `FeatureSupportTest.LogicalFeatureSupportTest` Feature checks that simply evaluate conflicting feature definitions without evaluating the actual implementation itself.
    `static class` | `FeatureSupportTest.VertexFunctionalityTest` Feature checks that test `Vertex` functionality to determine if a feature should be on when it is marked as not supported.
    `static class` | `FeatureSupportTest.VertexPropertyFunctionalityTest`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FeatureSupportTest()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FeatureSupportTest

          public FeatureSupportTest()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.